Bug 160802 - File descriptor leak in ant/libgcj
File descriptor leak in ant/libgcj
Product: Fedora
Classification: Fedora
Component: ant (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
Depends On:
  Show dependency treegraph
Reported: 2005-06-17 08:41 EDT by Gary Benson
Modified: 2008-05-06 20:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2005-06-17 08:41:42 EDT
Description of problem:
If you try and build axis with all of ant's subpackages installed then the build
will fail.  Something is repeatedly scanning the system classpath and leaking a
file descriptor for every jar in it.  With all of ant's subpackages installed,
the system classpath is long enough for the standard ulimit of 1024 open files
to be hit.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install ant and all of its subpackages.
2. Comment out the workaround in axis.spec (search for OPT_JAR_LIST).
3. Try and build the axis rpm.
A random IO error, which strace reveals to be an open() failing with EMFILE.
Comment 1 Bug Zapper 2008-04-03 12:12:52 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:11:27 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.